package com.lutao.cloud.common.core.constant.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 会话常量
 */
@Getter
@AllArgsConstructor
public enum BusinessEnum{

	/**
	 * 0未审核   1 通过   2不通过
	 */
	DOC_PROGRESS_DRAFT(0,"未审核"),
	DOC_PROGRESS_PASS(1,"通过"),
	DOC_PROGRESS_REJECT(2,"不通过"),


	/**
	 * 0草稿  1提交待审核  2复核中  3复核通过  4 复核不通过   5 模型评估中 6评估完成
	 */
	EEFFECT_PROGRESS_DRAFT(0,"草稿"),
	EEFFECT_PROGRESS_SUBMIT(1,"提交"),
	EEFFECT_PROGRESS_APPROVED(3,"复核通过"),
	EEFFECT_PROGRESS_FAIL(4,"复核不通过"),
	EEFFECT_PROGRESS_ASSESS(5,"模型评估中"),
	EEFFECT_PROGRESS_ASSESS_FINISH(6,"评估完成"),


	KNOWLEDGE_PROGRESS_DRAFT(0,"草稿"),
	KNOWLEDGE_PROGRESS_EVALUATE_SELF(1,"待自评"),
	KNOWLEDGE_PROGRESS_SUBMIT(2,"提交"),
	KNOWLEDGE_PROGRESS_EVALUATE_EXPERT(4,"专家评估完成"),
	KNOWLEDGE_PROGRESS_ASSESS_FINISH(5,"评估完成"),

	EEFFECT_SCORE_LEVEL_90_100(9000,"优秀"),
	EEFFECT_SCORE_LEVEL_80_90(8000,"良好"),
	EEFFECT_SCORE_LEVEL_70_80(7000,"一般"),
	EEFFECT_SCORE_LEVEL_70(7000,"不合格"),


	KNOWLEDGE_MODEL_SCORE_LEVEL_90_100(90,"优质模型"),
	KNOWLEDGE_MODEL_SCORE_LEVEL_75_90(75,"可用模型"),
	KNOWLEDGE_MODEL_SCORE_LEVEL_60_75(60,"一般模型"),
	KNOWLEDGE_MODEL_SCORE_LEVEL_70(60,"不可用模型"),

	KNOWLEDGE_APP_SCORE_LEVEL_90_100(90,"推荐应用工业APP"),
	KNOWLEDGE_APP_SCORE_LEVEL_75_90(75,"优质工业APP"),
	KNOWLEDGE_APP_SCORE_LEVEL_60_75(60,"可用工业APP"),
	KNOWLEDGE_APP_SCORE_LEVEL_70(60,"一般工业APP"),

	KNOWLEDGE_SOLUTION_SCORE_LEVEL_90_100(90,"优质解决方案"),
	KNOWLEDGE_SOLUTION_SCORE_LEVEL_75_90(75,"可用解决方案"),
	KNOWLEDGE_SOLUTION_SCORE_LEVEL_60_75(60,"一般解决方案"),
	KNOWLEDGE_SOLUTION_SCORE_LEVEL_70(60,"较差解决方案"),

	KNOWLEDGE_TECHNOLOGY_SCORE_LEVEL_80_100(80,"优秀技术/装备"),
	KNOWLEDGE_TECHNOLOGY_SCORE_LEVEL_50_80(50,"可用技术/装备"),
	KNOWLEDGE_TECHNOLOGY_SCORE_LEVEL_15_50(15,"一般技术/装备"),
	KNOWLEDGE_TECHNOLOGY_SCORE_LEVEL_15(15,"不推荐技术/装备"),


	KNOWLEDGE_APPLY(0,"申请使用"),
	KNOWLEDGE_APPLY_AGREE(1,"同意申请"),
	KNOWLEDGE_APPLY_REJECT(2,"驳回申请"),

	/**
	 * 0待审核  1审核不通过  2发布中  3 对接中  4 已对接  5实施中  6已结束
	 */
	DEMAND_PROGRESS_SUBMIT(0,"待审核"),
	DEMAND_PROGRESS_REVIEW_REJECT(1,"审核不通过"),
	DEMAND_PROGRESS_PUBLISH(2,"发布中"),
	DEMAND_PROGRESS_DOCKING(3,"对接中"),
	DEMAND_PROGRESS_DOCKED(4,"已对接"),
	DEMAND_PROGRESS_EFFECT(5,"实施中"),
	DEMAND_PROGRESS_FINISH(6,"已结束"),

	/**
	 * 审核状态 0待审核  1审核通过  2审核不通过
	 */
	PUBLICSER_PERSONNEL_REVIEW_SUBMIT(0,"待审核"),
	PUBLICSER_PERSONNEL_REVIEW_PASS(1,"审核通过"),
	PUBLICSER_PERSONNEL_REVIEW_REJECT(2,"审核不通过"),
	PUBLICSER_ORGAN_REVIEW_SUBMIT(0,"待审核"),
	PUBLICSER_ORGAN_REVIEW_PASS(1,"审核通过"),
	PUBLICSER_ORGAN_REVIEW_REJECT(2,"审核不通过"),


	/**
	 * 审核状态 0待审核  1审核通过  2审核不通过
	 */
	UPMS_PERSONNEL_REVIEW_SUBMIT(0,"待审核"),
	UPMS_PERSONNEL_REVIEW_PASS(1,"审核通过"),
	UPMS_PERSONNEL_REVIEW_REJECT(2,"审核不通过"),

	UPMS_ORGAN_REVIEW_SUBMIT(0,"待审核"),
	UPMS_ORGAN_REVIEW_PASS(1,"审核通过"),
	UPMS_ORGAN_REVIEW_REJECT(2,"审核不通过");


	/**
	 * 状态
	 */
	private final Integer status;

	/**
	 * 描述
	 */
	private final String statusDict;


}
